<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'research',

    /*
     * Package.
     */
    'package'   => 'slide',

    /*
     * Modules.
     */
    'modules'   => ['slide'],

    
    'slide'       => [
        'model' => [
            'model'                 => \Research\Slide\Models\Slide::class,
            'table'                 => 'slides',
            'presenter'             => \Research\Slide\Repositories\Presenter\SlidePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'subject_id',  'chapter_id',  'name',  'type',  'title',  'details',  'images',  'order',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'slide/slide',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Research',
            'package'   => 'Slide',
            'module'    => 'Slide',
        ],

    ],
];
