<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSlidesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: slides
         */
        Schema::create('slides', function ($table) {
            $table->increments('id');
            $table->integer('subject_id')->nullable();
            $table->integer('chapter_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->string('type', 255)->nullable();
            $table->text('title')->nullable();
            $table->longText('details')->nullable();
            $table->longText('images')->nullable();
            $table->integer('order')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('slides');
    }
}
