Lavalite package that provides slide management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `research/slide`.

    "research/slide": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Research\Slide\Providers\SlideServiceProvider::class,

And also add it to alias

    'Slide'  => Research\Slide\Facades\Slide::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Research\\SlideTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Research\Slide\Providers\SlideServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Research\Slide\Providers\SlideServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Research\Slide\Providers\SlideServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/slide/{modulename}

**User**

    http://path-to-route-folder/user/slide/{modulename}

**Public**

    http://path-to-route-folder/slides


### API endpoints

**List**

    http://path-to-route-folder/api/user/slide/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/slide/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/slide/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/slide/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/slide/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/slide/{modulename}/{slug}
    METHOD: GET