<?php

namespace Research\Slide\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SlideTransformer extends TransformerAbstract
{
    public function transform(\Research\Slide\Models\Slide $slide)
    {
        return [
            'id'                => $slide->getRouteKey(),
            'key'               => [
                'public'    => $slide->getPublicKey(),
                'route'     => $slide->getRouteKey(),
            ], 
            'subject_id'        => $slide->subject_id,
            'chapter_id'        => $slide->chapter_id,
            'name'              => $slide->name,
            'type'              => $slide->type,
            'title'             => $slide->title,
            'details'           => $slide->details,
            'images'            => $slide->images,
            'order'             => $slide->order,
            'deleted_at'        => $slide->deleted_at,
            'url'               => [
                'public'    => trans_url('slide/'.$slide->getPublicKey()),
                'user'      => guard_url('slide/slide/'.$slide->getRouteKey()),
            ], 
            'status'            => trans('app.'.$slide->status),
            'created_at'        => format_date($slide->created_at),
            'updated_at'        => format_date($slide->updated_at),
        ];
    }
}