<?php

namespace Research\Slide;

use User;

class Slide
{
    /**
     * $slide object.
     */
    protected $slide;

    /**
     * Constructor.
     */
    public function __construct(\Research\Slide\Interfaces\SlideRepositoryInterface $slide)
    {
        $this->slide = $slide;
    }

    /**
     * Returns count of slide.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.slide.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->slide->pushCriteria(new \Litepie\Research\Repositories\Criteria\SlideUserCriteria());
        }

        $slide = $this->slide->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('slide::' . $view, compact('slide'))->render();
    }
}
